找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 164|回复: 0

[每日一码] 事物处理中亮显AcDb2dPolyline的顶点

[复制链接]

0

主题

0

回帖

28

积分

管理员

积分
28
发表于 2024-3-14 19:40:25 | 显示全部楼层 |阅读模式
  1. AcTransaction::getObject().
  2. Here's a snippet to illustrate:
  3. //pPline points to an AcDb2dPolyline open for Read.
  4. AcDbObjectIterator *pVertIter= pPline->vertexIterator();
  5. AcDbObjectId vertexObjId;
  6. //start a transaction
  7. AcTransaction *pTrans = actrTransactionManager->startTransaction();
  8. assert(pTrans != NULL);
  9. //iterate through the oldstyle pline
  10. //highlight each segment as you go
  11. //numVerts == number of vertices in polyline
  12. for (int vertexNumber = 0;  vertexNumber < numVerts - 1;
  13.      vertexNumber++, pVertIter->step())
  14.      {
  15.          vertexObjId = pVertIter->objectId();
  16.          ads采用name ename;
  17.          acdbGetAdsName(ename, vertexObjId);
  18.          ads采用redraw(ename, 3);
  19.          //pause for user to see the effect
  20.          ads采用getstring(0, "\nPress return to continue: ", dummy);
  21.          //always balance ads采用redraw highlight calls in R14
  22.          ads采用redraw(ename, 4);
  23.      }
  24. actrTransactionManager->endTransaction();
  25. delete pVertIter;
复制代码
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|膜结构网

GMT+8, 2024-12-29 04:47 , Processed in 0.178941 second(s), 23 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表